[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: Problem with my ldap server and users

--On Thursday, January 04, 2007 10:01 AM +0100 poberli@hsr.ch wrote:

Any ideas what this could be?

This is a default debian installation which ldapd version:
slapd -V
@(#) $OpenLDAP: slapd 2.2.23 (May 30 2005 08:52:42) $

Yes, you need to upgrade to a later release. Preferably, 2.3, which has auto recovery. It sounds like your database is not being shut down cleanly, and you are not running db_recover when that happens. There were many issues with the 2.2.23 release, IIRC. 2.2.30 was the last release in the 2.2 series, and 2.3 is now up to 2.3.32. 2.3 adds many nice new features in addition to significant performance increases.


-- Quanah Gibson-Mount Principal Software Developer ITS/Shared Application Services Stanford University GnuPG Public Key: http://www.stanford.edu/~quanah/pgp.html